'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var classnames = require('classnames');
var index = require('../button/index.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);
var classnames__default = /*#__PURE__*/_interopDefaultLegacy(classnames);

const baseClass = 'r-action-bar-button';

const ActionBarButton = props => {
  const {
    type,
    icon,
    text,
    color,
    loading = false,
    disabled = false,
    indexPostion,
    onClick
  } = props;
  const isFirst = React.useMemo(() => {
    if (indexPostion === 'first') {
      return true;
    }

    return false;
  }, [indexPostion]);
  const isLast = React.useMemo(() => {
    if (indexPostion === 'last') {
      return true;
    }

    return false;
  }, [indexPostion]);

  const handleClick = () => {
    onClick == null ? void 0 : onClick();
  };

  return /*#__PURE__*/React__default['default'].createElement(index['default'], {
    className: classnames__default['default'](baseClass, `${baseClass}--${type}`, {
      [`${baseClass}--first`]: isFirst,
      [`${baseClass}--last`]: isLast
    }),
    size: "large",
    type: type,
    icon: icon,
    color: color,
    loading: loading,
    disabled: disabled,
    onClick: handleClick
  }, text || '');
};

exports.default = ActionBarButton;
