'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var classnames = require('classnames');
var index = require('../icon/index.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);
var classnames__default = /*#__PURE__*/_interopDefaultLegacy(classnames);

const baseClass = 'r-action-bar-icon';

const ActionBarIcon = props => {
  const {
    text,
    icon,
    color = '#323233',
    dot = false,
    badge,
    className
  } = props;
  const renderIcon = React.useMemo(() => {
    return /*#__PURE__*/React__default['default'].createElement(index['default'], {
      tag: "div",
      dot: dot,
      name: icon,
      badge: badge,
      color: color,
      className: classnames__default['default'](`${baseClass}__icon`, className)
    });
  }, [dot, icon, badge, color, className]);
  return /*#__PURE__*/React__default['default'].createElement("div", {
    role: "button",
    className: classnames__default['default'](`${baseClass}`),
    tabIndex: 0
  }, renderIcon, text || '');
};

exports.default = ActionBarIcon;
