'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var classnames = require('classnames');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);
var classnames__default = /*#__PURE__*/_interopDefaultLegacy(classnames);

const baseClass = 'r-cell-group';

const CellGroup = props => {
  const {
    title,
    border = true,
    children
  } = props;
  const renderGroup = React.useMemo(() => {
    return /*#__PURE__*/React__default['default'].createElement("div", {
      className: classnames__default['default'](baseClass, {
        [`${baseClass}--top-bottom`]: border
      })
    }, children);
  }, [border, children]);
  const renderTitle = React.useMemo(() => {
    return /*#__PURE__*/React__default['default'].createElement("div", {
      className: classnames__default['default'](`${baseClass}__title`)
    }, title);
  }, [title]);
  return /*#__PURE__*/React__default['default'].createElement(React__default['default'].Fragment, null, title ? /*#__PURE__*/React__default['default'].createElement(React__default['default'].Fragment, null, renderTitle, renderGroup) : /*#__PURE__*/React__default['default'].createElement(React__default['default'].Fragment, null, renderGroup));
};

exports.default = CellGroup;
