'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var classnames = require('classnames');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);
var classnames__default = /*#__PURE__*/_interopDefaultLegacy(classnames);

const baseClass = 'r-checkbox-group'; // 创建组件间共享上下文

const CheckboxGroupContext = /*#__PURE__*/React.createContext(null);
const CheckboxGroup = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    model,
    direction = 'vertical',
    onChange,
    children
  } = props;
  React.useEffect(() => {
    onChange == null ? void 0 : onChange(model);
  }, [model, onChange]);
  const classStrig = classnames__default['default'](baseClass, `${baseClass}--${direction}`);
  return /*#__PURE__*/React__default['default'].createElement("div", {
    className: classStrig,
    ref: ref
  }, /*#__PURE__*/React__default['default'].createElement(CheckboxGroupContext.Provider, {
    value: props
  }, children));
});
CheckboxGroup.displayName = 'CheckboxGroup';

exports.CheckboxGroupContext = CheckboxGroupContext;
exports.default = CheckboxGroup;
