import React from 'react';
import { ContanierType } from '../utils';
declare type DialogAction = 'confirm' | 'cancel';
declare type DialogDone = (close?: boolean) => void;
declare type ThemeType = 'default' | 'round-button';
export interface DialogProps {
    show: boolean;
    title?: string;
    width?: string | number;
    message?: string;
    theme?: ThemeType;
    overlay?: boolean;
    teleport?: string | ContanierType;
    className?: string;
    allowHtml?: boolean;
    lockScroll?: boolean;
    transition?: string;
    messageAlign?: string;
    overlayClass?: string;
    overlayStyle?: React.CSSProperties;
    closeOnPopstate?: boolean;
    cancelButtonText?: string;
    cancelButtonColor?: string;
    confirmButtonText?: string;
    confirmButtonColor?: string;
    showConfirmButton?: boolean;
    showCancelButton?: boolean;
    closeOnClickOverlay?: boolean;
    onBeforeClose?: (action: DialogAction, done: DialogDone) => void;
    onClickOverlay?: () => void;
    onConfirm?: () => void;
    onCancel?: () => void;
    onOpen?: () => void;
    onOpened?: () => void;
    onClose?: () => void;
    onClosed?: () => void;
    updateShow?: (show: boolean) => void;
}
export {};
