'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var classnames = require('classnames');
var index$1 = require('../utils/index.js');
var index = require('../badge/index.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);
var classnames__default = /*#__PURE__*/_interopDefaultLegacy(classnames);

const isImage = name => {
  return name ? name.indexOf('/') !== -1 : false;
};
const baseClass = 'r-icon';

const Icon = props => {
  const {
    tag = 'i',
    name,
    badge,
    classPrefix = 'r-icon',
    color,
    size,
    dot = false,
    className,
    onClick,
    children
  } = props;
  const isImageIcon = isImage(name);

  const handleClick = e => {
    onClick == null ? void 0 : onClick(e);
  };

  return /*#__PURE__*/React__default['default'].createElement(index['default'], {
    className: classnames__default['default'](classPrefix, {
      [`${classPrefix}-${name}`]: !isImageIcon
    }, className),
    content: badge,
    dot: dot,
    onClick: handleClick,
    style: {
      color,
      fontSize: index$1.addUnit(size)
    },
    tag: tag
  }, children, isImageIcon && /*#__PURE__*/React__default['default'].createElement("img", {
    alt: "badge",
    className: classnames__default['default'](`${baseClass}__image`),
    src: name
  }));
};

exports.default = Icon;
exports.isImage = isImage;
