'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var classnames = require('classnames');
var index = require('../utils/index.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);
var classnames__default = /*#__PURE__*/_interopDefaultLegacy(classnames);

const Loading = props => {
  const baseClass = 'r-loading';
  const {
    color,
    type = 'circular',
    size = '30px',
    text = '',
    textSize = '14px',
    textColor,
    vertical = false,
    className
  } = props;
  const SpinIcon = [];

  for (let i = 0; i < 12; i++) {
    SpinIcon.push( /*#__PURE__*/React__default['default'].createElement("i", {
      key: i
    }));
  }

  const spinnerStyle = () => ({
    color,
    ...index.getSizeStyle(size)
  });

  const CircularIcon = /*#__PURE__*/React__default['default'].createElement("svg", {
    className: classnames__default['default'](`${baseClass}__circular`),
    viewBox: "25 25 50 50"
  }, /*#__PURE__*/React__default['default'].createElement("circle", {
    cx: "50",
    cy: "50",
    fill: "none",
    r: "20"
  }));
  const renderText = React.useMemo(() => {
    return /*#__PURE__*/React__default['default'].createElement("span", {
      className: classnames__default['default'](`${baseClass}__text`),
      style: {
        fontSize: index.addUnit(textSize),
        color: textColor != null ? textColor : color
      }
    }, text);
  }, [text, textSize, textColor, color]);
  const classStringWrapper = classnames__default['default'](baseClass, `${baseClass}__spinner--${type}`, {
    [`${baseClass}--vertical`]: !!vertical
  }, className);
  const classStringInner = classnames__default['default'](`${baseClass}__spinner`, `${baseClass}__spinner--${type}`);
  return /*#__PURE__*/React__default['default'].createElement("div", {
    className: classStringWrapper
  }, /*#__PURE__*/React__default['default'].createElement("span", {
    className: classStringInner,
    style: spinnerStyle()
  }, type === 'spinner' ? SpinIcon : CircularIcon), renderText);
};

exports.default = Loading;
