'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var reactTransitionGroup = require('react-transition-group');
var classnames = require('classnames');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);
var classnames__default = /*#__PURE__*/_interopDefaultLegacy(classnames);

const baseClass = 'r-overlay'; // const BODY_LOCK_CLASS = 'r-overflow-hidden';

const Overlay = props => {
  const {
    show = false,
    zIndex = 1,
    duration = 300,
    customStyle,
    onClick,
    children
  } = props;
  const [visible, setVisible] = React.useState(false);
  const [display, setDisplay] = React.useState({
    display: 'none'
  });
  React.useEffect(() => {
    setVisible(show);
    setDisplay({
      display: visible ? 'block' : 'none'
    });
  }, [show]);

  const handleClick = e => {
    onClick == null ? void 0 : onClick(e);
  };

  const style = React.useMemo(() => {
    return {
      zIndex: zIndex !== undefined ? +zIndex : undefined,
      ...display,
      ...customStyle
    };
  }, [display, zIndex, customStyle]);

  const handleStatus = el => {
    el.style.display = show ? 'block' : 'none';
  };

  return /*#__PURE__*/React__default['default'].createElement(reactTransitionGroup.CSSTransition, {
    in: visible,
    classNames: "animate",
    timeout: +duration,
    onEnter: el => handleStatus(el),
    onExited: el => handleStatus(el)
  }, /*#__PURE__*/React__default['default'].createElement("div", {
    className: classnames__default['default'](baseClass),
    onClick: handleClick,
    style: style
  }, children));
};

exports.default = Overlay;
