import React, { MouseEventHandler } from 'react';
import { ContanierType } from '../utils';
export declare type PositionTypes = 'top' | 'right' | 'bottom' | 'left' | 'center';
export declare type CloseIconPositionTypes = 'top-left' | 'bottom-left' | 'bottom-right';
export interface PopupSharedProps {
    show?: boolean;
    duration?: number | string;
    zIndex?: number | string;
    teleport?: string | ContanierType;
    overlay?: boolean;
    overlayStyle?: React.CSSProperties;
    overlayClass?: unknown;
    closeOnClickOverlay?: boolean;
}
export declare const defultPopupSharedProps: PopupSharedProps;
export interface PopupProps extends PopupSharedProps {
    style?: React.CSSProperties;
    className?: string;
    round?: boolean;
    closeable?: boolean;
    transition?: string;
    safeAreaInsetBottom?: boolean;
    closeIcon?: string;
    closeIconPosition?: CloseIconPositionTypes;
    position?: PositionTypes;
    onClickOverlay?: () => void;
    onClick?: MouseEventHandler<HTMLDivElement>;
    onOpen?: (el: HTMLElement) => void;
    onOpened?: (el: HTMLElement) => void;
    onClose?: () => void;
    onClosed?: (el: HTMLElement) => void;
    onClickCloseIcon?: MouseEventHandler<HTMLElement>;
    children?: React.ReactNode;
}
