'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var classnames = require('classnames');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);
var classnames__default = /*#__PURE__*/_interopDefaultLegacy(classnames);

const RadioGroupContext = /*#__PURE__*/React.createContext(null);
const baseClass = 'r-radio-group';
const RadioGroup = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    direction = 'vertical',
    children
  } = props; // 样式

  const classString = classnames__default['default'](baseClass, `${baseClass}--${direction}`);
  return /*#__PURE__*/React__default['default'].createElement("div", {
    className: classString,
    ref: ref
  }, /*#__PURE__*/React__default['default'].createElement(RadioGroupContext.Provider, {
    value: props
  }, children));
});
RadioGroup.displayName = 'RadioGroup';

exports.RadioGroupContext = RadioGroupContext;
exports.default = RadioGroup;
