'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _extends = require('@babel/runtime/helpers/extends');
var React = require('react');
var checker = require('../checkbox/checker.js');
var index = require('../radio-group/index.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _extends__default = /*#__PURE__*/_interopDefaultLegacy(_extends);
var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

const Radio = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    name
  } = props; // 获取共享上下文

  const parent = React.useContext(index.RadioGroupContext);
  const {
    onChange,
    model
  } = parent;

  const updateParentModel = () => {
    onChange == null ? void 0 : onChange(name);
  };

  const checked = React.useMemo(() => {
    const val = parent ? model : name;
    return name === val;
  }, [model, name, parent]);

  const toggle = () => {
    if (parent) {
      updateParentModel();
    }
  };

  React.useImperativeHandle(ref, () => {
  });
  return /*#__PURE__*/React__default['default'].createElement(checker['default'], _extends__default['default']({
    ref: ref,
    baseClass: "r-radio",
    role: "radio",
    parent: parent,
    checked: checked,
    onToggle: toggle
  }, props));
});
Radio.displayName = 'Radio';

exports.default = Radio;
