import { PureComponent } from 'react';
import { ToastProps } from './props';
import './style/index.scss';
export default class Toast extends PureComponent<ToastProps, unknown> {
    private static baseClass;
    static defaultOptions: {
        icon: string;
        type: string;
        message: string;
        className: string;
        overlay: boolean;
        onClose: undefined;
        onOpened: undefined;
        duration: number;
        iconSize: undefined;
        iconPrefix: string;
        position: string;
        forbidClick: boolean;
        loadingType: undefined;
        overlayClass: string;
        overlayStyle: undefined;
        closeOnClick: boolean;
        closeOnClickOverlay: boolean;
    };
    private static toastDom;
    private static toastContainer;
    static hideHelper: () => void;
    static show: (options: ToastProps) => void;
    static close: () => null;
    private static unmountNode;
    state: {
        show: boolean | undefined;
    };
    private timer;
    componentDidMount(): void;
    componentDidUpdate(prevProps: ToastProps): void;
    componentWillUnmount(): void;
    renderIcon: () => unknown;
    renderMessage: () => unknown;
    handleOpened: () => void;
    handleColse: () => void;
    _hide: () => void;
    shutdown: () => void;
    render(): JSX.Element;
}
