import React, { useMemo } from 'react';
import classnames from 'classnames';
import Button from '../button/index.js';

const baseClass = 'r-action-bar-button';

const ActionBarButton = props => {
  const {
    type,
    icon,
    text,
    color,
    loading = false,
    disabled = false,
    indexPostion,
    onClick
  } = props;
  const isFirst = useMemo(() => {
    if (indexPostion === 'first') {
      return true;
    }

    return false;
  }, [indexPostion]);
  const isLast = useMemo(() => {
    if (indexPostion === 'last') {
      return true;
    }

    return false;
  }, [indexPostion]);

  const handleClick = () => {
    onClick == null ? void 0 : onClick();
  };

  return /*#__PURE__*/React.createElement(Button, {
    className: classnames(baseClass, `${baseClass}--${type}`, {
      [`${baseClass}--first`]: isFirst,
      [`${baseClass}--last`]: isLast
    }),
    size: "large",
    type: type,
    icon: icon,
    color: color,
    loading: loading,
    disabled: disabled,
    onClick: handleClick
  }, text || '');
};

export default ActionBarButton;
