import React, { useMemo } from 'react';
import classnames from 'classnames';
import Icon from '../icon/index.js';

const baseClass = 'r-action-bar-icon';

const ActionBarIcon = props => {
  const {
    text,
    icon,
    color = '#323233',
    dot = false,
    badge,
    className
  } = props;
  const renderIcon = useMemo(() => {
    return /*#__PURE__*/React.createElement(Icon, {
      tag: "div",
      dot: dot,
      name: icon,
      badge: badge,
      color: color,
      className: classnames(`${baseClass}__icon`, className)
    });
  }, [dot, icon, badge, color, className]);
  return /*#__PURE__*/React.createElement("div", {
    role: "button",
    className: classnames(`${baseClass}`),
    tabIndex: 0
  }, renderIcon, text || '');
};

export default ActionBarIcon;
