import React, { MouseEventHandler } from 'react';
export declare type ButtonTypes = 'default' | 'primary' | 'warning' | 'info' | 'danger' | 'round';
export declare type ButtonSizeTypes = 'large' | 'small' | 'mini' | 'normal';
export declare type NativeTypes = 'button' | 'submit' | 'reset';
export declare type IocnPositionTypes = 'left' | 'right';
export declare type LoadingTypes = 'spinner' | 'circular' | undefined;
export interface ButtonProps {
    type?: ButtonTypes;
    text?: string;
    size?: ButtonSizeTypes;
    color?: string;
    fontColor?: string;
    icon?: string;
    iconPrefix?: string;
    iconPosition?: IocnPositionTypes;
    tag?: keyof HTMLElementTagNameMap | string;
    nativeType?: NativeTypes;
    hairline?: boolean;
    plain?: boolean;
    disabled?: boolean;
    round?: boolean;
    square?: boolean;
    replace?: boolean;
    block?: boolean;
    loading?: boolean;
    loadingText?: string;
    loadingSize?: string;
    loadingType?: LoadingTypes;
    url?: string;
    children?: string;
    onClick?: MouseEventHandler<HTMLElement>;
    className?: string;
    style?: React.CSSProperties;
}
