import React, { useMemo } from 'react';
import classnames from 'classnames';

const baseClass = 'r-cell-group';

const CellGroup = props => {
  const {
    title,
    border = true,
    children
  } = props;
  const renderGroup = useMemo(() => {
    return /*#__PURE__*/React.createElement("div", {
      className: classnames(baseClass, {
        [`${baseClass}--top-bottom`]: border
      })
    }, children);
  }, [border, children]);
  const renderTitle = useMemo(() => {
    return /*#__PURE__*/React.createElement("div", {
      className: classnames(`${baseClass}__title`)
    }, title);
  }, [title]);
  return /*#__PURE__*/React.createElement(React.Fragment, null, title ? /*#__PURE__*/React.createElement(React.Fragment, null, renderTitle, renderGroup) : /*#__PURE__*/React.createElement(React.Fragment, null, renderGroup));
};

export default CellGroup;
