import React, { createContext, forwardRef, useEffect } from 'react';
import classnames from 'classnames';

const baseClass = 'r-checkbox-group'; // 创建组件间共享上下文

const CheckboxGroupContext = /*#__PURE__*/createContext(null);
const CheckboxGroup = /*#__PURE__*/forwardRef((props, ref) => {
  const {
    model,
    direction = 'vertical',
    onChange,
    children
  } = props;
  useEffect(() => {
    onChange == null ? void 0 : onChange(model);
  }, [model, onChange]);
  const classStrig = classnames(baseClass, `${baseClass}--${direction}`);
  return /*#__PURE__*/React.createElement("div", {
    className: classStrig,
    ref: ref
  }, /*#__PURE__*/React.createElement(CheckboxGroupContext.Provider, {
    value: props
  }, children));
});
CheckboxGroup.displayName = 'CheckboxGroup';

export default CheckboxGroup;
export { CheckboxGroupContext };
