import React, { MouseEventHandler } from 'react';
declare type LabelPositionTypes = 'left' | 'right';
declare type ShapeTypes = 'square' | 'round';
declare type BaseClassTypes = 'r-checkbox' | 'r-radio';
export interface CheckerProps extends CheckerBaseProps {
    role?: string;
    parent?: Record<string, any>;
    checked?: boolean;
    bindGroup?: boolean;
    onClick: MouseEventHandler<HTMLDivElement>;
}
export interface CheckerBaseProps {
    model: boolean;
    name?: string;
    shape?: ShapeTypes;
    imgUrl?: Record<string, string>;
    disabled?: boolean;
    labelDisabled?: boolean;
    labelPosition?: LabelPositionTypes;
    iconSize?: number | string;
    checkedColor?: string;
    baseClass?: BaseClassTypes;
    children: React.ReactNode;
    onToggle?: (checked: boolean) => void;
}
export {};
