import React, { FocusEventHandler, KeyboardEventHandler, MouseEventHandler } from 'react';
import { CellProps } from '../cell/props';
import { FieldRule, FieldTextAlign, FieldType, FieldClearTrigger, FieldFormatTrigger } from './types';
export interface FieldProps extends CellProps {
    model: string | number;
    name?: string;
    type?: FieldType;
    children?: React.ReactNode;
    maxlength?: number | string;
    placeholder?: string;
    border?: boolean;
    disabled?: boolean;
    readonly?: boolean;
    colon?: boolean;
    clearable?: boolean;
    clearIcon?: string;
    clearTrigger?: FieldClearTrigger;
    autofocus?: boolean;
    showWordLimit?: boolean;
    error?: boolean;
    errorMessage?: string;
    errorMessageAlign?: FieldTextAlign;
    formatter?: (value: string) => string;
    formatTrigger?: FieldFormatTrigger;
    labelWidth?: number | string;
    labelAlign?: FieldTextAlign;
    inputAlign?: FieldTextAlign;
    autosize?: boolean | Record<string, unknown>;
    leftIcon?: string;
    rightIcon?: string;
    rules?: Array<FieldRule>;
    autocomplete?: string;
    rows?: number | string;
    onUpdateModel?: (s: string) => void;
    onBlur?: FocusEventHandler<HTMLInputElement | HTMLTextAreaElement>;
    onFocus?: FocusEventHandler<HTMLInputElement | HTMLTextAreaElement>;
    onClear?: MouseEventHandler<unknown>;
    onKeyPress?: KeyboardEventHandler<HTMLInputElement | HTMLTextAreaElement>;
    onClickInput?: MouseEventHandler<HTMLInputElement | HTMLTextAreaElement>;
    onClickLeftIcon?: MouseEventHandler<HTMLDivElement>;
    onClickRightIcon?: MouseEventHandler<HTMLDivElement>;
}
