export declare type FieldTextAlign = 'left' | 'center' | 'right';
export declare type FieldValidateTrigger = 'onBlur' | 'onChange' | 'onSubmit';
export interface FormProps {
    labelWidth?: number | string;
    labelAlign?: FieldTextAlign;
    inputAlign?: FieldTextAlign;
    errorMessageAlign?: FieldTextAlign;
    validateTrigger?: FieldValidateTrigger;
    colon?: boolean;
    disabled?: boolean;
    readonly?: boolean;
    validateFirst?: boolean;
    scrollToError?: boolean;
    showError?: boolean;
    showErrorMessage?: boolean;
    submitOnEnter?: boolean;
    onSubmit?: (values: Record<string, any>) => void;
    onFailed?: (errorInfo: {
        values: Record<string, any>;
        errors: Record<string, any>[];
    }) => void;
}
