import React from 'react';
import classnames from 'classnames';
import { addUnit } from '../utils/index.js';
import Badge from '../badge/index.js';

const isImage = name => {
  return name ? name.indexOf('/') !== -1 : false;
};
const baseClass = 'r-icon';

const Icon = props => {
  const {
    tag = 'i',
    name,
    badge,
    classPrefix = 'r-icon',
    color,
    size,
    dot = false,
    className,
    onClick,
    children
  } = props;
  const isImageIcon = isImage(name);

  const handleClick = e => {
    onClick == null ? void 0 : onClick(e);
  };

  return /*#__PURE__*/React.createElement(Badge, {
    className: classnames(classPrefix, {
      [`${classPrefix}-${name}`]: !isImageIcon
    }, className),
    content: badge,
    dot: dot,
    onClick: handleClick,
    style: {
      color,
      fontSize: addUnit(size)
    },
    tag: tag
  }, children, isImageIcon && /*#__PURE__*/React.createElement("img", {
    alt: "badge",
    className: classnames(`${baseClass}__image`),
    src: name
  }));
};

export default Icon;
export { isImage };
