import React, { createContext, forwardRef } from 'react';
import classnames from 'classnames';

const RadioGroupContext = /*#__PURE__*/createContext(null);
const baseClass = 'r-radio-group';
const RadioGroup = /*#__PURE__*/forwardRef((props, ref) => {
  const {
    direction = 'vertical',
    children
  } = props; // 样式

  const classString = classnames(baseClass, `${baseClass}--${direction}`);
  return /*#__PURE__*/React.createElement("div", {
    className: classString,
    ref: ref
  }, /*#__PURE__*/React.createElement(RadioGroupContext.Provider, {
    value: props
  }, children));
});
RadioGroup.displayName = 'RadioGroup';

export default RadioGroup;
export { RadioGroupContext };
