import _extends from '@babel/runtime/helpers/esm/extends';
import React, { forwardRef, useContext, useMemo, useImperativeHandle } from 'react';
import Checker from '../checkbox/checker.js';
import { RadioGroupContext } from '../radio-group/index.js';

const Radio = /*#__PURE__*/forwardRef((props, ref) => {
  const {
    name
  } = props; // 获取共享上下文

  const parent = useContext(RadioGroupContext);
  const {
    onChange,
    model
  } = parent;

  const updateParentModel = () => {
    onChange == null ? void 0 : onChange(name);
  };

  const checked = useMemo(() => {
    const val = parent ? model : name;
    return name === val;
  }, [model, name, parent]);

  const toggle = () => {
    if (parent) {
      updateParentModel();
    }
  };

  useImperativeHandle(ref, () => {
  });
  return /*#__PURE__*/React.createElement(Checker, _extends({
    ref: ref,
    baseClass: "r-radio",
    role: "radio",
    parent: parent,
    checked: checked,
    onToggle: toggle
  }, props));
});
Radio.displayName = 'Radio';

export default Radio;
