import { PopupSharedProps } from '../popup/props';
export declare type ToastTypes = 'text' | 'loading' | 'success' | 'fail' | 'html';
export declare type PositionTypes = 'top' | 'bottom' | 'center';
export declare type LoadingTypes = 'circular' | 'spinner';
export declare type ContanierType = HTMLElement | (() => HTMLElement) | Window;
export interface ToastProps extends PopupSharedProps {
    className?: string;
    type: ToastTypes;
    position?: PositionTypes;
    message?: string;
    icon?: string;
    iconSize?: number | string;
    iconPrefix?: string;
    closeOnClick?: boolean;
    closeOnClickOverlay?: boolean;
    loadingType?: LoadingTypes;
    transition?: string;
    onOpened?: () => void;
    onClose?: () => void;
}
