import { FieldRule } from '../field/types';
declare type ScrollElement = HTMLElement | Window;
export declare type ContanierType = HTMLElement | (() => HTMLElement) | Window;
export declare const noop: () => {};
export declare const isNumeric: (val: string) => boolean;
export declare const isNaN: (val: number) => val is number;
export declare const isDef: <T>(val: T) => val is NonNullable<T>;
export declare const addUnit: (value?: string | number | undefined) => string | undefined;
export declare const getSizeStyle: (originSize?: string | number | undefined) => {
    width: string | undefined;
    height: string | undefined;
} | {
    width?: undefined;
    height?: undefined;
};
export declare const preventDefault: (event: MouseEvent, isStopPropagation?: boolean | undefined) => void;
export declare const isElement: (node: Element) => boolean;
export declare const getScrollParent: (el: Element, root?: ScrollElement) => Element | Window;
export declare const inBrowser: () => boolean;
export declare const getMountContanier: (contanier?: ContanierType | undefined) => HTMLElement;
export declare const pick: (prop: Record<string, any>, keys: string[]) => Record<string, any>;
export declare const isObject: (val: Record<string, any>) => boolean;
export declare const isFunction: (val: any) => val is Function;
export declare const isPromise: <T = any>(val: any) => val is Promise<T>;
export declare const isEmptyValue: (value: unknown) => boolean;
export declare function range(num: number, min: number, max: number): number;
export declare const trimExtraChar: (value: string, char: string, regExp: RegExp) => string;
export declare const formatNumber: (value: string, allowDot?: boolean, allowMinus?: boolean) => string;
export declare const trigger: (target: Element, type: string) => void;
export declare const runSyncRule: (value: unknown, rule: FieldRule) => boolean;
export {};
