import { isIOS } from './system.js';

const setScrollTop = (el, value) => {
  if ('scrollTop' in el) {
    // eslint-disable-next-line no-param-reassign
    el.scrollTop = value;
  } else {
    el.scrollTo(el.scrollX, value);
  }
};
const getRootScrollTop = () => {
  return window.pageYOffset || document.documentElement.scrollTop || document.body.scrollTop || 0;
};
const setRootScrollTop = value => {
  setScrollTop(window, value);
  setScrollTop(document.body, value);
}; // get distance from element top to page top or scroller top
// see: https://developers.weixin.qq.com/community/develop/doc/00044ae90742f8c82fb78fcae56800

const resetScroll = () => {
  if (isIOS()) {
    setRootScrollTop(getRootScrollTop());
  }
};

export { getRootScrollTop, resetScroll, setRootScrollTop, setScrollTop };
